LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-23-2019, 06:01 AM   #1
cryptonic472
LQ Newbie
 
Registered: Aug 2019
Distribution: Debian GNU/LINUX
Posts: 3

Rep: Reputation: 0
sudo apt update and sudo apt-get update giving error


sudo apt update and sudo apt-get update are giving error when running. Internet connection is working fine.
every time when running the command gives following error messages:


Err:1 https://https.kali.org/kali kali-rolling InRelease
Could not resolve 'https.kali.org'


W: Failed to fetch https://https.kali.org/kali/dists/ka...ling/InRelease Could not resolve 'https.kali.org'


W: Some index files failed to download. They have been ignored, or old ones used instead.


sudo apt-get upgrade and sudo apt upgrade seems to work fine



note: i think i accidentally did some changes in /etc/apt/sources.list file
 
Old 08-23-2019, 06:34 AM   #2
hazel
Senior Member
 
Registered: Mar 2016
Location: Harrow, UK
Distribution: LFS, AntiX, Slackware
Posts: 3,410
Blog Entries: 9

Rep: Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897Reputation: 1897
Apt isn't meant to work normally in Kali. Kali is special. Haven't you read the sticky on it?
 
Old 08-23-2019, 07:45 AM   #3
cryptonic472
LQ Newbie
 
Registered: Aug 2019
Distribution: Debian GNU/LINUX
Posts: 3

Original Poster
Rep: Reputation: 0
i guess i should not change the sources.list file

i changed the repositories there and now only have these two and now it seems to work fine


deb https://http.kali.org/kali kali-rolling main non-free contrib
deb-src https://http.kali.org/kali kali-rolling main non-free contrib


are there some other repositories i need to add or are they sufficient
 
Old 08-23-2019, 10:44 AM   #4
joeinslw
Member
 
Registered: Oct 2015
Posts: 65

Rep: Reputation: Disabled
Recently I downloaded and installed on a separate hard drive LM XFCE Tina 64 bit 19.2 and even though I thought I would not have the following error i.e. "The repository 'cdrom://Linux Mint 19.2 _Tina_ - Release amd64 20190729 bionic Release does not have a Release file".
So this very same error is in Linux Mint XFCE 64 bit Tessa as well as Linux Mint XFCE 64 bit Tina.

The repositories are not updated even when I use sudo apt-get update in the terminal, result is, "The repository 'cdrom://Linux Mint 19.2 _Tina_ - Release amd64 20190729 bionic Release' does not have a Release file".

Using the terminal command does not solve the problem, it only says the release file is missing in both Tessa 19.1, and Tina 19.2 Distros.
 
Old 08-23-2019, 01:15 PM   #5
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 12,533
Blog Entries: 9

Rep: Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393
Quote:
Originally Posted by cryptonic472 View Post
Have you actually tried clicking on this URL? Please do. I hope you figure it out soon.
 
Old 08-23-2019, 03:26 PM   #6
joeinslw
Member
 
Registered: Oct 2015
Posts: 65

Rep: Reputation: Disabled
Angry Tried it and I get more errors

Sorry ondoho, but I get "Try Again" when I click on your link, thanks to cryptonic472 & hazel, it seems you are having the same problems.
 
Old 08-24-2019, 01:09 AM   #7
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 12,533
Blog Entries: 9

Rep: Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393Reputation: 3393
Quote:
Originally Posted by joeinslw View Post
Sorry ondoho, but I get "Try Again" when I click on your link, thanks to cryptonic472 & hazel, it seems you are having the same problems.
Maybe it's telling you that the URL is simply wrong? Look again. Closer. Compare to post #3.
 
Old 08-24-2019, 08:16 AM   #8
cryptonic472
LQ Newbie
 
Registered: Aug 2019
Distribution: Debian GNU/LINUX
Posts: 3

Original Poster
Rep: Reputation: 0
Thumbs up

thanks everyone for the help
these were the link i found in kali's website and after replacing the links back from these one in sources.list file everything is working fine.


deb https://http.kali.org/kali kali-rolling main non-free contrib
deb-src https://http.kali.org/kali kali-rolling main non-free contrib
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error message being received while attempting to update linux debian via terminal using sudo apt-get update david1089 Linux - Newbie 11 06-16-2018 01:00 AM
Not able to run this command "sudo apt-get install libdevil-dev" even after trying "apt-get -f install" getting below error message srihariu1 Linux - Embedded & Single-board computer 2 04-26-2018 06:33 AM
Apt-get giving error while installing update and mysql joshiparthin Ubuntu 2 10-12-2009 07:44 AM
sudo apt-get update && sudo apt-get upgrade hallve_revera Linux - Newbie 6 01-10-2009 09:37 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:08 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration